gnutls_pubkey_get_openpgp_key_id(3)

NAME
gnutls_pubkey_get_openpgp_key_id - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_get_openpgp_key_id(gnutls_pubkey_t key, unsigned int flags, unsigned char * output_data, size_t * output_data_size, unsigned int * subkey);

ARGUMENTS

gnutls_pubkey_t key
    Holds the public key

unsigned int flags
    should be one of the flags from gnutls_keyid_flags_t

unsigned char * output_data
    will contain the key ID

size_t * output_data_size
    holds the size of output_data (and will be replaced by the actual size of parameters)

unsigned int * subkey
    ignored

DESCRIPTION
This function is no-op.

RETURNS
GNUTLS_E_UNIMPLEMENTED_FEATURE.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/